Call an Outlit capability
curl --request POST \
--url https://app.outlit.ai/api/tools/call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": "<string>",
"input": {
"activatedSince": "2023-11-07T05:31:56Z",
"mrrAbove": 1,
"mrrBelow": 1,
"traitFilters": {},
"search": "<string>",
"ownerId": "<string>",
"ownerEmail": "<string>",
"hasOwner": true,
"limit": 50,
"cursor": "<string>",
"orderBy": "last_activity_at",
"orderDirection": "desc"
}
}
'import requests
url = "https://app.outlit.ai/api/tools/call"
payload = {
"tool": "<string>",
"input": {
"activatedSince": "2023-11-07T05:31:56Z",
"mrrAbove": 1,
"mrrBelow": 1,
"traitFilters": {},
"search": "<string>",
"ownerId": "<string>",
"ownerEmail": "<string>",
"hasOwner": True,
"limit": 50,
"cursor": "<string>",
"orderBy": "last_activity_at",
"orderDirection": "desc"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: '<string>',
input: {
activatedSince: '2023-11-07T05:31:56Z',
mrrAbove: 1,
mrrBelow: 1,
traitFilters: {},
search: '<string>',
ownerId: '<string>',
ownerEmail: '<string>',
hasOwner: true,
limit: 50,
cursor: '<string>',
orderBy: 'last_activity_at',
orderDirection: 'desc'
}
})
};
fetch('https://app.outlit.ai/api/tools/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"activatedAt": "<string>",
"firstSeenAt": "<string>",
"lastActivityAt": "<string>",
"contactCount": 4503599627370495,
"currentMrr": 123,
"owner": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"daysSinceActivity": 4503599627370495
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"total": 4503599627370495
}
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}{
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"plan": "<string>",
"feature": "<string>",
"resetAt": 123
}API Reference
Call an Outlit capability
POST
/
api
/
tools
/
call
Call an Outlit capability
Authorizations
Outlit API key (ok_...).
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
Response
Capability output
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
- Option 26
- Option 27
- Option 28
- Option 29
- Option 30
- Option 31
- Option 32
- Option 33
- Option 34
- Option 35
- Option 36
- Option 37
Was this page helpful?
⌘I